## kalarm 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.3.3")
set(PIM_VERSION ${PIM_VERSION})
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

# Whenever KALARM_VERSION changes, set the 3 variables below it to the first
# KDE Release Service version which will contain that KAlarm release.
# (This must be the full release version, not an alpha or beta release.)
set(KALARM_VERSION "3.10.3")
set(KALARM_VERSION_RELEASE_SERVICE_MAJOR "24")
set(KALARM_VERSION_RELEASE_SERVICE_MINOR "12")
set(KALARM_VERSION_RELEASE_SERVICE_MICRO "3")

# If KAlarm's version has not changed since the last KDE Release Service version,
# this code sets a sub-version x.x.x.N to avoid duplicate version numbers in
# org.kde.kalarm.appdata.xml, which cause appstream to choke.
math(EXPR LAST_RELEASE_MONTH "${KALARM_VERSION_RELEASE_SERVICE_MAJOR} * 12 + ${KALARM_VERSION_RELEASE_SERVICE_MINOR} + ${KALARM_VERSION_RELEASE_SERVICE_MICRO}")
math(EXPR THIS_RELEASE_MONTH "${RELEASE_SERVICE_VERSION_MAJOR} * 12 + ${RELEASE_SERVICE_VERSION_MINOR} + ${RELEASE_SERVICE_VERSION_MICRO}")
math(EXPR KALARM_RELEASE_SUB_VERSION "${THIS_RELEASE_MONTH} - ${LAST_RELEASE_MONTH}")
if(${KALARM_RELEASE_SUB_VERSION} GREATER 0)
    set(KALARM_VERSION "${KALARM_VERSION}.${KALARM_RELEASE_SUB_VERSION}")
endif()

project(kalarm VERSION ${KALARM_VERSION})

set(KF_MIN_VERSION "6.6.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${kalarm_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
include(ECMInstallIcons)

include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
set(QT_REQUIRED_VERSION "6.7.0")
set(KTEXTADDONS_MIN_VERSION "1.5.4")
# Do NOT add quote
set(KDEPIM_DEV_VERSION )

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()


set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
set(AKONADI_VERSION "6.3.3")
set(AKONADI_MIMELIB_VERSION "6.3.3")
set(AKONADI_CONTACT_VERSION "6.3.3")
set(KMAILTRANSPORT_LIB_VERSION "6.3.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.3.3")
set(KMIME_LIB_VERSION "6.3.3")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Network Widgets)
set(CALENDARUTILS_LIB_VERSION "6.3.3")


option(ENABLE_AKONADI_PLUGIN "Build the Akonadi plugin" ON)
add_feature_info(AKONADI_PLUGIN ${ENABLE_AKONADI_PLUGIN} "Provides features dependent on Akonadi (including birthday import,
                   email functions, email address book, first run resource migration)")

option(ENABLE_RTC_WAKE_FROM_SUSPEND "Enable RTC wake-from-suspend alarms (requires KAuth)" ON)
if(ENABLE_RTC_WAKE_FROM_SUSPEND)
    find_package(KF6Auth ${KF_MIN_VERSION})
    if(NOT KF6Auth_FOUND)
        set(ENABLE_RTC_WAKE_FROM_SUSPEND OFF)
    endif()
endif()
add_feature_info(RTC_WAKE_FROM_SUSPEND ${ENABLE_RTC_WAKE_FROM_SUSPEND} "If kernel timers are not available, use RTC for wake-from-suspend alarms")

# Find KF6 packages
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Completion ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ConfigWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6GlobalAccel ${KF_MIN_VERSION})
find_package(KF6GuiAddons ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Holidays ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemModels ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6JobWidgets ${KF_MIN_VERSION} REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Notifications ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6NotifyConfig ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Service ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WindowSystem ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6StatusNotifierItem ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION})

find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

if(TARGET KF6::GlobalAccel)
    add_definitions(-DHAVE_GLOBAL_ACCEL_SUPPORT)
endif()

# Find KDE PIM packages
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementWidgets ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)

option(ENABLE_LIBVLC "Build support for LibVLC" ON)
add_feature_info(ENABLE_LIBVLC ${ENABLE_LIBVLC} "Provides support for playing sound files using LibVLC")
option(ENABLE_LIBMPV "Build support for Libmpv" OFF)
add_feature_info(ENABLE_LIBMPV ${ENABLE_LIBMPV} "Provides support for playing sound files using Libmpv")

if(ENABLE_LIBVLC)
    find_package(LibVLC "3.0.0" QUIET REQUIRED)
    set_package_properties(LibVLC PROPERTIES PURPOSE "Used to play audio alarms")
elseif(ENABLE_LIBMPV)
    # Note: libmpv < 2.2.0 has threading issues which cause hang-ups
    find_package(Libmpv "2.2.0" QUIET REQUIRED)
    set_package_properties(Libmpv PROPERTIES PURPOSE "Used to play audio alarms")
else()
    message(FATAL_ERROR "Support for either ENABLE_LIBVLC or ENABLE_LIBMPV must be enabled for playing sound files")
endif()

find_package(KF6TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
set_package_properties(KF6TextEditTextToSpeech PROPERTIES DESCRIPTION
    "Add support for text to speech"
    TYPE OPTIONAL
)

if(TARGET KF6::TextEditTextToSpeech)
    add_definitions(-DHAVE_TEXT_TO_SPEECH_SUPPORT)
endif()

if(ENABLE_AKONADI_PLUGIN)
    find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
    find_package(KPim6AkonadiContactWidgets ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
    find_package(KPim6AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
    find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
endif()

configure_file(kalarm-version-string.h.in ${CMAKE_CURRENT_BINARY_DIR}/kalarm-version-string.h @ONLY)

if(NOT APPLE)
    option(WITHOUT_X11 "Build without X11 integration (skips finding X11)" OFF)
    add_feature_info(WITHOUT_X11 ${WITHOUT_X11} "Disable X11 integration, even if X11 is available")
    if(NOT WITHOUT_X11)
        find_package(X11)
        set(ENABLE_X11 ${X11_FOUND})
        if(X11_FOUND)
            find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Gui)
            add_feature_info(ENABLE_X11 ${ENABLE_X11} "Enable use of X11")
        endif()
    endif()
endif()

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

configure_file(src/config-kalarm.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kalarm.h)

include_directories(${kalarm_SOURCE_DIR} ${kalarm_BINARY_DIR})

add_definitions(-DQT_MESSAGELOGCONTEXT)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.7.0  KF 6.8.0)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)

ecm_qt_install_logging_categories(
    EXPORT KALARM
    FILE kalarm.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
    )

if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()
ki18n_install(po)

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/
)

add_subdirectory(kalarmcalendar)
if(ENABLE_AKONADI_PLUGIN)
    add_subdirectory(akonadiplugin)
endif()
add_subdirectory(icons)
add_subdirectory(autostart)
add_subdirectory(kconf_update)

########### next target ###############


add_library(kalarmplugin)

ecm_qt_declare_logging_category(kalarmplugin
                                HEADER kalarmpluginlib_debug.h
                                IDENTIFIER KALARMPLUGINLIB_LOG
                                CATEGORY_NAME org.kde.pim.kalarm.pluginlib
                                DESCRIPTION "kalarm (pluginlib)"
                                EXPORT KALARMPLUGINLIB
                                )
target_sources(kalarmplugin PRIVATE
    pluginbase.cpp
    pluginmanager.cpp
    pluginbase.h
    pluginmanager.h
)
generate_export_header(kalarmplugin BASE_NAME kalarmpluginlib)

target_link_libraries(kalarmplugin PRIVATE
    kalarmcalendar
    KF6::CoreAddons
    KF6::CalendarCore
    KPim6::Mime
)

target_include_directories(kalarmplugin PUBLIC "$<BUILD_INTERFACE:${kalarm_SOURCE_DIR}/src/kalarmcalendar;${kalarm_BINARY_DIR}/src/kalarmcalendar>")

set_target_properties(kalarmplugin
    PROPERTIES VERSION ${KDEPIM_LIB_VERSION}
    SOVERSION ${KDEPIM_LIB_SOVERSION}
    )

install(TARGETS kalarmplugin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)


########### next target ###############

set(libkalarm_common_SRCS)

ecm_qt_declare_logging_category(libkalarm_common_SRCS
                                HEADER kalarm_debug.h
                                IDENTIFIER KALARM_LOG
                                CATEGORY_NAME org.kde.pim.kalarm
                                DEFAULT_SEVERITY Warning
                                DESCRIPTION "kalarm (kalarm)"
                                OLD_CATEGORY_NAMES log_kalarm
                                EXPORT KALARM
                                )

set(libkalarm_SRCS
    lib/buttongroup.cpp
    lib/checkbox.cpp
    lib/colourbutton.cpp
    lib/combobox.cpp
    lib/config.cpp
    lib/desktop.cpp
    lib/dragdrop.cpp
    lib/file.cpp
    lib/filedialog.cpp
    lib/groupbox.cpp
    lib/label.cpp
    lib/locale.cpp
    lib/messagebox.cpp
    lib/packedlayout.cpp
    lib/pushbutton.cpp
    lib/radiobutton.cpp
    lib/timeedit.cpp
    lib/timespinbox.cpp
    lib/timeperiod.cpp
    lib/timezonecombo.cpp
    lib/shellprocess.cpp
    lib/slider.cpp
    lib/spinbox.cpp
    lib/spinbox2.cpp
    lib/stackedwidgets.cpp
    lib/tooltip.cpp
    lib/lineedit.cpp
    lib/synchtimer.cpp
    lib/buttongroup.h
    lib/checkbox.h
    lib/colourbutton.h
    lib/combobox.h
    lib/config.h
    lib/desktop.h
    lib/dragdrop.h
    lib/file.h
    lib/filedialog.h
    lib/groupbox.h
    lib/label.h
    lib/locale.h
    lib/messagebox.h
    lib/packedlayout.h
    lib/pushbutton.h
    lib/radiobutton.h
    lib/timeedit.h
    lib/timespinbox.h
    lib/timeperiod.h
    lib/timezonecombo.h
    lib/shellprocess.h
    lib/slider.h
    lib/spinbox.h
    lib/spinbox2.h
    lib/stackedwidgets.h
    lib/tooltip.h
    lib/lineedit.h
    lib/synchtimer.h
   )
set(resources_SRCS
    resources/calendarfunctions.cpp
    resources/resourcetype.cpp
    resources/resource.cpp
    resources/resources.cpp
    resources/resourcedatamodelbase.cpp
    resources/resourcemodel.cpp
    resources/resourceselectdialog.cpp
    resources/resourcecreator.cpp
    resources/eventmodel.cpp
    resources/datamodel.cpp
    resources/calendarupdater.cpp
    resources/fileresource.cpp
    resources/fileresourceconfigmanager.cpp
    resources/fileresourcecreator.cpp
    resources/fileresourcedatamodel.cpp
    resources/fileresourcesettings.cpp
    resources/fileresourcecalendarupdater.cpp
    resources/singlefileresource.cpp
    resources/singlefileresourceconfigdialog.cpp
    resources/migration/dirresourceimportdialog.cpp
    resources/migration/fileresourcemigrator.cpp
    resources/calendarfunctions.h
    resources/resourcetype.h
    resources/resource.h
    resources/resources.h
    resources/resourcedatamodelbase.h
    resources/resourcemodel.h
    resources/resourceselectdialog.h
    resources/resourcecreator.h
    resources/eventmodel.h
    resources/datamodel.h
    resources/calendarupdater.h
    resources/fileresource.h
    resources/fileresourceconfigmanager.h
    resources/fileresourcecreator.h
    resources/fileresourcedatamodel.h
    resources/fileresourcesettings.h
    resources/fileresourcecalendarupdater.h
    resources/singlefileresource.h
    resources/singlefileresourceconfigdialog.h
    resources/migration/dirresourceimportdialog.h
    resources/migration/fileresourcemigrator.h
   )

set(kalarm_bin_SRCS ${libkalarm_SRCS} ${resources_SRCS}
    ${libkalarm_common_SRCS}
    data/kalarm.qrc
    main.cpp
    birthdaydlg.cpp
    editdlg.cpp
    editdlgtypes.cpp
    soundpicker.cpp
    sounddlg.cpp
    displaycalendar.cpp
    resourcescalendar.cpp
    undo.cpp
    kalarmapp.cpp
    mainwindowbase.cpp
    mainwindow.cpp
    audioplayer.cpp
    messagedisplay.cpp
    messagedisplayhelper.cpp
    messagenotification.cpp
    messagewindow.cpp
    preferences.cpp
    prefdlg.cpp
    traywindow.cpp
    dbushandler.cpp
    recurrenceedit.cpp
    deferdlg.cpp
    eventid.cpp
    functions.cpp
    fontcolour.cpp
    fontcolourbutton.cpp
    alarmtimewidget.cpp
    specialactions.cpp
    reminder.cpp
    startdaytimer.cpp
    eventlistview.cpp
    alarmlistdelegate.cpp
    alarmlistview.cpp
    templatelistview.cpp
    kamail.cpp
    kernelwakealarm.cpp
    timeselector.cpp
    latecancel.cpp
    repetitionbutton.cpp
    emailidcombo.cpp
    find.cpp
    pickfileradio.cpp
    newalarmaction.cpp
    commandoptions.cpp
    resourceselector.cpp
    datepicker.cpp
    daymatrix.cpp
    templatepickdlg.cpp
    templatedlg.cpp
    templatemenuaction.cpp
    birthdaydlg.h
    editdlg.h
    editdlgtypes.h
    soundpicker.h
    sounddlg.h
    displaycalendar.h
    resourcescalendar.h
    undo.h
    kalarmapp.h
    mainwindowbase.h
    mainwindow.h
    audioplayer.h
    messagedisplay.h
    messagedisplayhelper.h
    messagenotification.h
    messagewindow.h
    preferences.h
    prefdlg.h
    traywindow.h
    dbushandler.h
    recurrenceedit.h
    deferdlg.h
    eventid.h
    functions.h
    fontcolour.h
    fontcolourbutton.h
    alarmtimewidget.h
    specialactions.h
    reminder.h
    startdaytimer.h
    eventlistview.h
    alarmlistdelegate.h
    alarmlistview.h
    templatelistview.h
    kamail.h
    kernelwakealarm.h
    timeselector.h
    latecancel.h
    repetitionbutton.h
    emailidcombo.h
    find.h
    pickfileradio.h
    newalarmaction.h
    commandoptions.h
    resourceselector.h
    datepicker.h
    daymatrix.h
    templatepickdlg.h
    templatedlg.h
    templatemenuaction.h
)
if(ENABLE_RTC_WAKE_FROM_SUSPEND)
    set(kalarm_bin_SRCS ${kalarm_bin_SRCS}
        wakedlg.cpp
        wakedlg.h
    )
endif()

if(ENABLE_LIBVLC)
    set(kalarm_bin_SRCS ${kalarm_bin_SRCS}
        audioplayer_vlc.cpp
        audioplayer_vlc.h
    )
elseif(ENABLE_LIBMPV)
    set(kalarm_bin_SRCS ${kalarm_bin_SRCS}
        audioplayer_mpv.cpp
        audioplayer_mpv.h
    )
endif()

ki18n_wrap_ui(kalarm_bin_SRCS
    wakedlg.ui
    resources/singlefileresourceconfigdialog.ui
    resources/migration/dirresourceimportdialog_intro.ui
    resources/migration/dirresourceimportdialog_type.ui
)

qt_add_dbus_adaptor(kalarm_bin_SRCS data/org.kde.kalarm.kalarm.xml dbushandler.h DBusHandler)

qt_add_dbus_interfaces(kalarm_bin_SRCS data/org.kde.kmail.kmail.xml)

qt_add_dbus_interface(kalarm_bin_SRCS data/org.freedesktop.Notifications.xml notifications_interface)
qt_add_dbus_interface(kalarm_bin_SRCS data/org.freedesktop.DBus.Properties.xml dbusproperties)
qt_add_dbus_interface(kalarm_bin_SRCS data/org.freedesktop.ScreenSaver.xml screensaver)

kconfig_add_kcfg_files(kalarm_bin_SRCS GENERATE_MOC data/kalarmconfig.kcfgc)

#if(UNIX)
file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hicolor/*-apps-kalarm.png")
ecm_add_app_icon(kalarm_bin ICONS ${ICONS_SRCS})
add_executable(kalarm_bin ${kalarm_bin_SRCS})

set_target_properties(kalarm_bin PROPERTIES OUTPUT_NAME kalarm)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(kalarm_bin PROPERTIES UNITY_BUILD ON)
endif()

target_compile_definitions(kalarm_bin PRIVATE -DVERSION="${KALARM_VERSION}")


target_link_libraries(kalarm_bin
    kalarmcalendar
    kalarmplugin
    KF6::Codecs
    KF6::ConfigCore
    KF6::Completion
    KF6::DBusAddons
    KF6::GuiAddons
    KF6::Holidays
    KF6::ItemModels
    KF6::KIOWidgets
    KF6::Notifications
    KF6::NotifyConfig
    KF6::TextWidgets
    KF6::WindowSystem
    KF6::XmlGui
    KF6::KIOFileWidgets
    KF6::Crash
    KF6::StatusNotifierItem
    KF6::CalendarCore
    KPim6::CalendarUtils
    KF6::Contacts
    KPim6::IdentityManagementWidgets
    KPim6::Mime
)

if(TARGET KF6::GlobalAccel)
    target_link_libraries(kalarm_bin
        KF6::GlobalAccel
    )
endif()

if(ENABLE_LIBVLC)
    target_link_libraries(kalarm_bin LibVLC::LibVLC)
    target_compile_definitions(kalarm_bin PUBLIC -DHAVE_LIBVLC)
endif()
if(ENABLE_LIBMPV)
    target_link_libraries(kalarm_bin Libmpv::Libmpv)
    target_compile_definitions(kalarm_bin PUBLIC -DHAVE_LIBMPV)
endif()

if(TARGET KF6::TextEditTextToSpeech)
    target_link_libraries(kalarm_bin KF6::TextEditTextToSpeech)
endif()
if(TARGET KF6::IconThemes)
    target_link_libraries(kalarm_bin KF6::IconThemes)
endif()
if(ENABLE_RTC_WAKE_FROM_SUSPEND)
    target_link_libraries(kalarm_bin KF6::AuthCore)
endif()

if(ENABLE_X11)
    target_link_libraries(kalarm_bin ${X11_X11_LIB})
endif()

install(TARGETS kalarm_bin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
#endif(UNIX)

########### install files ###############

install(FILES data/org.kde.kalarm.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES data/kalarm.autostart.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})
install(FILES data/org.kde.kalarm.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

install(FILES data/kalarmconfig.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES data/org.kde.kalarm.kalarm.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(FILES data/kalarm.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

########### KAuth helper ###############

if(ENABLE_RTC_WAKE_FROM_SUSPEND)
    add_executable(kalarm_helper rtcwakeaction.cpp rtcwakeaction.h ${libkalarm_common_SRCS})
    target_link_libraries(kalarm_helper KF6::AuthCore KF6::I18n)
    install(TARGETS kalarm_helper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
    kauth_install_helper_files(kalarm_helper org.kde.kalarm.rtcwake root)
    kauth_install_actions(org.kde.kalarm.rtcwake data/org.kde.kalarm.rtcwake.actions)
endif()

=== src/kalarmcalendar/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
include(ECMMarkAsTest)

find_package(Qt6DBus CONFIG REQUIRED)
find_package(Qt6Test CONFIG REQUIRED)

macro(macro_unit_tests)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp ${_testname}.h)
    add_test(NAME ${_testname} COMMAND ${_testname})
    ecm_mark_as_test(${_testname})
    target_link_libraries(${_testname}
        KF6::CalendarCore
        KF6::Holidays
        kalarmcalendar
        Qt::DBus
        Qt::Test)
    target_include_directories(${_testname} PUBLIC "$<BUILD_INTERFACE:${kalarm_SOURCE_DIR}/src/kalarmcalendar;${kalarm_BINARY_DIR}/src/kalarmcalendar>")
  endforeach()
endmacro()
if(NOT WIN32)
macro_unit_tests(
    kadatetimetest
    kaeventtest
)
else()
    message(STATUS "REACTIVATE AUTOTEST on WINDOWS")
endif()

=== debian/changelog ===
kalarm (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:50:03 +0100

=== debian/control ===
Source: kalarm
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:24.12.3~),
               libakonadicontact-dev (>= 4:24.12.3~),
               libakonadimime-dev (>= 4:24.12.3~),
               libkcalendarutils-dev (>= 4:24.12.3~),
               libkf6auth-dev (>= 6.6.0~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6completion-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6globalaccel-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6holidays-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6jobwidgets-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6notifyconfig-dev (>= 6.6.0~),
               libkf6service-dev (>= 6.6.0~),
               libkf6statusnotifieritem-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6windowsystem-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 24.12.3~),
               libkmailtransport-dev (>= 24.12.3~),
               libkmime-dev (>= 24.12.3~),
               libktextaddons-dev (>= 1.5.4~),
               libvlc-dev (>= 3.0.0~),
               libvlccore-dev (>= 3.0.0~),
               libx11-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/kalarm
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalarm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalarm.git
Rules-Requires-Root: no

Package: kalarm
Architecture: any
Depends: akonadi-server, ${misc:Depends}, ${shlibs:Depends},
Description: alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file. It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.

## kalarm 25.04.3

=== debian/changelog ===
kalarm (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:37:40 +0100

kalarm (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:39:20 +0100

kalarm (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:02:07 +0100

kalarm (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Build depend on libmpv-dev

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:43:26 +0100

kalarm (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:29 -0500

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: kalarm
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.3~),
-               libakonadicontact-dev (>= 4:24.12.3~),
-               libakonadimime-dev (>= 4:24.12.3~),
-               libkcalendarutils-dev (>= 4:24.12.3~),
+               libakonadi-dev (>= 4:25.04.3~),
+               libakonadicontact-dev (>= 4:25.04.3~),
+               libakonadimime-dev (>= 4:25.04.3~),
+               libkcalendarutils-dev (>= 4:25.04.3~),
                libkf6auth-dev (>= 6.6.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
@@ -41,19 +42,20 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.3~),
-               libkmailtransport-dev (>= 24.12.3~),
-               libkmime-dev (>= 24.12.3~),
+               libkidentitymanagement-dev (>= 25.04.3~),
+               libkmailtransport-dev (>= 25.04.3~),
+               libkmime-dev (>= 25.04.3~),
                libktextaddons-dev (>= 1.5.4~),
+               libmpv-dev,
                libvlc-dev (>= 3.0.0~),
                libvlccore-dev (>= 3.0.0~),
                libx11-dev,
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kalarm
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalarm
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalarm.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarm
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarm
 Rules-Requires-Root: no
 
 Package: kalarm

## kalarm 25.07.80

=== debian/changelog ===
kalarm (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:40:37 +0100

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.04.3~),
-               libakonadicontact-dev (>= 4:25.04.3~),
-               libakonadimime-dev (>= 4:25.04.3~),
-               libkcalendarutils-dev (>= 4:25.04.3~),
+               libakonadi-dev (>= 4:25.07.80~),
+               libakonadicontact-dev (>= 4:25.07.80~),
+               libakonadimime-dev (>= 4:25.07.80~),
+               libkcalendarutils-dev (>= 4:25.07.80~),
                libkf6auth-dev (>= 6.6.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
@@ -42,9 +42,9 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.04.3~),
-               libkmailtransport-dev (>= 25.04.3~),
-               libkmime-dev (>= 25.04.3~),
+               libkidentitymanagement-dev (>= 25.07.80~),
+               libkmailtransport-dev (>= 25.07.80~),
+               libkmime-dev (>= 25.07.80~),
                libktextaddons-dev (>= 1.5.4~),
                libmpv-dev,
                libvlc-dev (>= 3.0.0~),

## kalarm 25.07.90

=== debian/changelog ===
kalarm (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:30:03 +0100

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.07.80~),
-               libakonadicontact-dev (>= 4:25.07.80~),
-               libakonadimime-dev (>= 4:25.07.80~),
-               libkcalendarutils-dev (>= 4:25.07.80~),
+               libakonadi-dev (>= 4:25.07.90~),
+               libakonadicontact-dev (>= 4:25.07.90~),
+               libakonadimime-dev (>= 4:25.07.90~),
+               libkcalendarutils-dev (>= 4:25.07.90~),
                libkf6auth-dev (>= 6.6.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
@@ -42,9 +42,9 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.80~),
-               libkmailtransport-dev (>= 25.07.80~),
-               libkmime-dev (>= 25.07.80~),
+               libkidentitymanagement-dev (>= 25.07.90~),
+               libkmailtransport-dev (>= 25.07.90~),
+               libkmime-dev (>= 25.07.90~),
                libktextaddons-dev (>= 1.5.4~),
                libmpv-dev,
                libvlc-dev (>= 3.0.0~),

## kalarm 25.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,18 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.3.3")
+set(PIM_VERSION "6.5.0")
 set(PIM_VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Whenever KALARM_VERSION changes, set the 3 variables below it to the first
 # KDE Release Service version which will contain that KAlarm release.
 # (This must be the full release version, not an alpha or beta release.)
-set(KALARM_VERSION "3.10.3")
-set(KALARM_VERSION_RELEASE_SERVICE_MAJOR "24")
-set(KALARM_VERSION_RELEASE_SERVICE_MINOR "12")
-set(KALARM_VERSION_RELEASE_SERVICE_MICRO "3")
+set(KALARM_VERSION "3.11.2")
+set(KALARM_VERSION_RELEASE_SERVICE_MAJOR "25")
+set(KALARM_VERSION_RELEASE_SERVICE_MINOR "08")
+set(KALARM_VERSION_RELEASE_SERVICE_MICRO "0")
 
 # If KAlarm's version has not changed since the last KDE Release Service version,
 # this code sets a sub-version x.x.x.N to avoid duplicate version numbers in
@@ -26,7 +26,7 @@
 
 project(kalarm VERSION ${KALARM_VERSION})
 
-set(KF_MIN_VERSION "6.6.0")
+set(KF_MIN_VERSION "6.14.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${kalarm_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
@@ -38,7 +38,6 @@
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
 
-include(FeatureSummary)
 include(CheckFunctionExists)
 
 include(KDEInstallDirs)
@@ -48,10 +47,10 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
-set(QT_REQUIRED_VERSION "6.7.0")
-set(KTEXTADDONS_MIN_VERSION "1.5.4")
+set(QT_REQUIRED_VERSION "6.8.0")
+set(KTEXTADDONS_MIN_VERSION "1.6.0")
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION )
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -60,18 +59,18 @@
 
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
-set(AKONADI_VERSION "6.3.3")
-set(AKONADI_MIMELIB_VERSION "6.3.3")
-set(AKONADI_CONTACT_VERSION "6.3.3")
-set(KMAILTRANSPORT_LIB_VERSION "6.3.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.3.3")
-set(KMIME_LIB_VERSION "6.3.3")
+set(AKONADI_VERSION "6.5.0")
+set(AKONADI_MIMELIB_VERSION "6.5.0")
+set(AKONADI_CONTACT_VERSION "6.5.0")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.0")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.0")
+set(KMIME_LIB_VERSION "6.5.0")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Network Widgets)
-set(CALENDARUTILS_LIB_VERSION "6.3.3")
+set(CALENDARUTILS_LIB_VERSION "6.5.0")
 
 
 option(ENABLE_AKONADI_PLUGIN "Build the Akonadi plugin" ON)
@@ -128,20 +127,27 @@
 find_package(KPim6IdentityManagementWidgets ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
 find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
 
+# Build support for audio backend plugins
 option(ENABLE_LIBVLC "Build support for LibVLC" ON)
 add_feature_info(ENABLE_LIBVLC ${ENABLE_LIBVLC} "Provides support for playing sound files using LibVLC")
+if(WIN32)
 option(ENABLE_LIBMPV "Build support for Libmpv" OFF)
+else()
+option(ENABLE_LIBMPV "Build support for Libmpv" ON)
+endif()
 add_feature_info(ENABLE_LIBMPV ${ENABLE_LIBMPV} "Provides support for playing sound files using Libmpv")
 
 if(ENABLE_LIBVLC)
     find_package(LibVLC "3.0.0" QUIET REQUIRED)
     set_package_properties(LibVLC PROPERTIES PURPOSE "Used to play audio alarms")
-elseif(ENABLE_LIBMPV)
+endif()
+if(ENABLE_LIBMPV)
     # Note: libmpv < 2.2.0 has threading issues which cause hang-ups
     find_package(Libmpv "2.2.0" QUIET REQUIRED)
     set_package_properties(Libmpv PROPERTIES PURPOSE "Used to play audio alarms")
-else()
-    message(FATAL_ERROR "Support for either ENABLE_LIBVLC or ENABLE_LIBMPV must be enabled for playing sound files")
+endif()
+if(NOT ENABLE_LIBVLC AND NOT ENABLE_LIBMPV)
+    message(FATAL_ERROR "One or more of ENABLE_LIBVLC or ENABLE_LIBMPV must be enabled for support for playing sound files")
 endif()
 
 find_package(KF6TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
@@ -184,7 +190,7 @@
 
 add_definitions(-DQT_MESSAGELOGCONTEXT)
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.7.0  KF 6.8.0)
+ecm_set_disabled_deprecation_versions(QT 6.8.1  KF 6.16.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
kalarm (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:50:09 +0100

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.07.90~),
-               libakonadicontact-dev (>= 4:25.07.90~),
-               libakonadimime-dev (>= 4:25.07.90~),
-               libkcalendarutils-dev (>= 4:25.07.90~),
+               libakonadi-dev (>= 4:25.08.0~),
+               libakonadicontact-dev (>= 4:25.08.0~),
+               libakonadimime-dev (>= 4:25.08.0~),
+               libkcalendarutils-dev (>= 4:25.08.0~),
                libkf6auth-dev (>= 6.6.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
@@ -42,9 +42,9 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.90~),
-               libkmailtransport-dev (>= 25.07.90~),
-               libkmime-dev (>= 25.07.90~),
+               libkidentitymanagement-dev (>= 25.08.0~),
+               libkmailtransport-dev (>= 25.08.0~),
+               libkmime-dev (>= 25.08.0~),
                libktextaddons-dev (>= 1.5.4~),
                libmpv-dev,
                libvlc-dev (>= 3.0.0~),

## kalarm 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.0")
+set(PIM_VERSION "6.5.1")
 set(PIM_VERSION ${PIM_VERSION})
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Whenever KALARM_VERSION changes, set the 3 variables below it to the first
@@ -59,18 +59,18 @@
 
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
-set(AKONADI_VERSION "6.5.0")
-set(AKONADI_MIMELIB_VERSION "6.5.0")
-set(AKONADI_CONTACT_VERSION "6.5.0")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.0")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.0")
-set(KMIME_LIB_VERSION "6.5.0")
+set(AKONADI_VERSION "6.5.1")
+set(AKONADI_MIMELIB_VERSION "6.5.1")
+set(AKONADI_CONTACT_VERSION "6.5.1")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.1")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")
+set(KMIME_LIB_VERSION "6.5.1")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Network Widgets)
-set(CALENDARUTILS_LIB_VERSION "6.5.0")
+set(CALENDARUTILS_LIB_VERSION "6.5.1")
 
 
 option(ENABLE_AKONADI_PLUGIN "Build the Akonadi plugin" ON)

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kalarm)
########### install files ###############

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 if(ENABLE_AKONADI_PLUGIN)
     add_subdirectory(akonadiplugin)
 endif()
+add_subdirectory(audioplugin)
 add_subdirectory(icons)
 add_subdirectory(autostart)
 add_subdirectory(kconf_update)
@@ -16,18 +17,15 @@
 
 add_library(kalarmplugin)
 
-ecm_qt_declare_logging_category(kalarmplugin
-                                HEADER kalarmpluginlib_debug.h
-                                IDENTIFIER KALARMPLUGINLIB_LOG
-                                CATEGORY_NAME org.kde.pim.kalarm.pluginlib
-                                DESCRIPTION "kalarm (pluginlib)"
-                                EXPORT KALARMPLUGINLIB
-                                )
 target_sources(kalarmplugin PRIVATE
-    pluginbase.cpp
+    pluginbaseakonadi.cpp
+    pluginbaseaudio.cpp
     pluginmanager.cpp
-    pluginbase.h
+    kalarm_debug.cpp
+    pluginbaseakonadi.h
+    pluginbaseaudio.h
     pluginmanager.h
+    kalarm_debug.h
 )
 generate_export_header(kalarmplugin BASE_NAME kalarmpluginlib)
 
@@ -180,7 +178,6 @@
     kalarmapp.cpp
     mainwindowbase.cpp
     mainwindow.cpp
-    audioplayer.cpp
     messagedisplay.cpp
     messagedisplayhelper.cpp
     messagenotification.cpp
@@ -230,7 +227,6 @@
     kalarmapp.h
     mainwindowbase.h
     mainwindow.h
-    audioplayer.h
     messagedisplay.h
     messagedisplayhelper.h
     messagenotification.h
@@ -277,18 +273,6 @@
     )
 endif()
 
-if(ENABLE_LIBVLC)
-    set(kalarm_bin_SRCS ${kalarm_bin_SRCS}
-        audioplayer_vlc.cpp
-        audioplayer_vlc.h
-    )
-elseif(ENABLE_LIBMPV)
-    set(kalarm_bin_SRCS ${kalarm_bin_SRCS}
-        audioplayer_mpv.cpp
-        audioplayer_mpv.h
-    )
-endif()
-
 ki18n_wrap_ui(kalarm_bin_SRCS
     wakedlg.ui
     resources/singlefileresourceconfigdialog.ui

=== src/akonadiplugin/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none

# This builds KAlarm's Akonadi plugin, which provides all functions dependent on
# Akonadi.

kcoreaddons_add_plugin(akonadiplugin
    SOURCES
        akonadiplugin.cpp
        akonadicollectionsearch.cpp
        akonadiresourcemigrator.cpp
        birthdaymodel.cpp
        collectionattribute.cpp
        sendakonadimail.cpp
        akonadiplugin.h
        akonadicollectionsearch.h
        akonadiresourcemigrator.h
        birthdaymodel.h
        collectionattribute.h
        sendakonadimail.h
    INSTALL_NAMESPACE "pim6/kalarm"
)

set_target_properties(akonadiplugin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/plugins/kalarm")

ecm_qt_declare_logging_category(akonadiplugin
                                HEADER akonadiplugin_debug.h
                                IDENTIFIER AKONADIPLUGIN_LOG
                                CATEGORY_NAME org.kde.pim.kalarm.akonadiplugin
                                DEFAULT_SEVERITY Warning
                                DESCRIPTION "kalarm (akonadi plugin)"
                                EXPORT AKONADIPLUGIN
                               )

generate_export_header(akonadiplugin BASE_NAME akonadiplugin)

target_link_libraries(akonadiplugin
    kalarmplugin
    kalarmcalendar
    KF6::CalendarCore
    KF6::I18n
    KF6::Codecs
    KPim6::Mime
    KPim6::AkonadiCore
    KPim6::AkonadiMime
    KPim6::AkonadiContactWidgets
    KPim6::AkonadiWidgets
    KPim6::IdentityManagementCore
    KPim6::MailTransport
)

=== src/kconf_update/CMakeLists.txt ===
install(FILES kalarm.upd
       	DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR}
)
add_executable(kalarm-3.10.0-run_mode "kalarm-3.10.0-run_mode.cpp")
target_link_libraries(kalarm-3.10.0-run_mode
    KF6::ConfigCore
    KF6::XmlGui
)

install(
    TARGETS
        kalarm-3.10.0-run_mode
    DESTINATION ${KDE_INSTALL_LIBDIR}/kconf_update_bin
)

=== debian/changelog ===
kalarm (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:06:08 +0100

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.08.0~),
-               libakonadicontact-dev (>= 4:25.08.0~),
-               libakonadimime-dev (>= 4:25.08.0~),
-               libkcalendarutils-dev (>= 4:25.08.0~),
+               libakonadi-dev (>= 4:25.08.1~),
+               libakonadicontact-dev (>= 4:25.08.1~),
+               libakonadimime-dev (>= 4:25.08.1~),
+               libkcalendarutils-dev (>= 4:25.08.1~),
                libkf6auth-dev (>= 6.6.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
@@ -42,9 +42,9 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.08.0~),
-               libkmailtransport-dev (>= 25.08.0~),
-               libkmime-dev (>= 25.08.0~),
+               libkidentitymanagement-dev (>= 25.08.1~),
+               libkmailtransport-dev (>= 25.08.1~),
+               libkmime-dev (>= 25.08.1~),
                libktextaddons-dev (>= 1.5.4~),
                libmpv-dev,
                libvlc-dev (>= 3.0.0~),
